<?php
require_once(__DIR__ . "/PHP/Cab.php");

// WERSJA POLSKA
$title_PL  = "Ciasteczka HTML - II";
$info_PL   =<<<EOT
<h1>Użycie ciasteczek HTML - II</h1>
<p>Ograniczenia:</p>
<ol>
<li>Rozmiar jednego cookie: 4096 by</li>
<li>Liczba cookie na domenę: co najmniej 20</li>
<li>Calkowita liczba cookie: co najmniej 300</li>
</ol>

Uwaga: użyj setcookie przed wyświetleniem tagu &lt;html&gt;.
<h2>Podstawowe scenariusze użycia</h3>
<ol>
<li><code>setcookie("lang", "pl");</code> - cookie na aktualną sesję</li>
<li><code>setcookie("lang", "pl", 0);</code> - to samo co (1) </li>

<li><code>setcookie("lang", "pl", time()+24*60*60);</code> - cookie ważne przez 24 godziny</li>
<li><code>setcookie("lang", "pl", 1);</code> - usunięcie cookie przy najbliższej okazji</li>
</ol>
EOT;

// Wersja angielska 
$title_ENG  = "HTML cookies - II";
$header_ENG = "How to use HTML cookies - II";

$info_ENG   =<<<EOT
<h1>How to use HTML cookies - II </h1>
<p>
The setcookie() function must appear BEFORE the &lt;html&gt; tag.
</p>
EOT;

// dla obu wersji językowych
$linkH   = "Ca.php";

if (getLang() === "pl"){
  echo genPage(basename(__FILE__), $title_PL, "eng", $info_PL,  $linkH, "Pierwsza strona");
} else {
  echo genPage(basename(__FILE__), $title_ENG, "pl", $info_ENG, $linkH, "Previous Page");
}
?>